Bug 32272 - Remove remaining High Availability (HA) support
Remove remaining High Availability (HA) support
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: NFS
UCS 4.2
Other Linux
: P5 minor (vote)
: UCS 4.2-1-errata
Assigned To: Philipp Hahn
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 12:32 CEST by Philipp Hahn
Modified: 2017-08-09 16:57 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:
hahn: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-08-20 12:32:31 CEST
diff --git a/branches/ucs-3.2/ucs-3.2-0/services/univention-nfs/nfs-shares.py b/branches/ucs-3.2/ucs-3.2-0/services/univention-nfs/nfs-shares.py
index 56e7470..e66f627 100644
--- a/branches/ucs-3.2/ucs-3.2-0/services/univention-nfs/nfs-shares.py
+++ b/branches/ucs-3.2/ucs-3.2-0/services/univention-nfs/nfs-shares.py
@@ -195,9 +195,6 @@ def clean():
 
 
 def postrun():
-	if listener.baseConfig.has_key('nfsserver/ha/master') and listener.baseConfig['nfsserver/ha/master']:
-		initscript='/etc/heartbeat/resource.d/nfs-kernel-server'
-	else:
-		initscript='/etc/init.d/nfs-kernel-server'
+	initscript = '/etc/init.d/nfs-kernel-server'
 	listener.run(initscript, ['nfs-kernel-server', 'start'], uid=0)
 	listener.run(initscript, ['nfs-kernel-server', 'reload'], uid=0)
diff --git a/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-homedir b/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-homedir
index 209b1dc..f2d9c9e 100755
--- a/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-homedir
+++ b/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-homedir
@@ -121,9 +121,8 @@ if [ -z "$homeattr" ]; then
 		eval "$(univention-config-registry shell ldap/mydn)"
 		for server in `univention_policy_result -D "$ldap_hostdn" -y /etc/machine.secret -s "$ldap_mydn" | grep "univentionFileServer" | sed -e 's|.*univentionFileServer=||' | sed -e 's|"||g'`; do
 			if [ -n "$server" ]; then
-				# mount in heartbeat-situations needs to be done from /ha/home, but normally /home fits
-				if mount -t nfs $server:/home /ramdisk/home || mount -t nfs $server:/ha/home /ramdisk/home
-					then
+				if mount -t nfs $server:/home /ramdisk/home
+				then
 					dotlockfile -l /var/lib/univention-home-mounter/mounts.lock
 					echo "/ramdisk/home "`date +%s` >> /var/lib/univention-home-mounter/mounts
 					dotlockfile -u /var/lib/univention-home-mounter/mounts.lock
Comment 1 Janek Walkenhorst univentionstaff 2013-10-30 18:28:55 CET
(In reply to Philipp Hahn from comment #0)
> diff --git
> a/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-
> homedir
> b/branches/ucs-3.2/ucs-3.2-0/base/univention-home-mounter/univention-mount-
> homedir
This code has already perished due to Bug #31256:
> Obsolete logic for thin clients was removed.
Comment 2 Philipp Hahn univentionstaff 2014-04-08 13:44:34 CEST
diff --git a/branches/ucs-3.2/ucs-3.2-1/services/univention-nfs/nfs-shares.py b/branches/ucs-3.2/ucs-3.2-1/services/univention-nfs/nfs-shares.py
index d46be3e..29ed418 100644
--- a/branches/ucs-3.2/ucs-3.2-1/services/univention-nfs/nfs-shares.py
+++ b/branches/ucs-3.2/ucs-3.2-1/services/univention-nfs/nfs-shares.py
@@ -74,7 +74,7 @@ def handler(dn, new, old, command):
 	# 'r'+'a' -> renamed
 	# command='r' and "not new and old"
 	# command='a' and "new and not old"
-	
+
 	# write old object to pickle file
 	oldObject = {}
 	oldDn = ""
@@ -200,9 +200,6 @@ def clean():
 
 
 def postrun():
-	if listener.baseConfig.has_key('nfsserver/ha/master') and listener.baseConfig['nfsserver/ha/master']:
-		initscript='/etc/heartbeat/resource.d/nfs-kernel-server'
-	else:
-		initscript='/etc/init.d/nfs-kernel-server'
+	initscript='/etc/init.d/nfs-kernel-server'
 	listener.run(initscript, ['nfs-kernel-server', 'start'], uid=0)
 	listener.run(initscript, ['nfs-kernel-server', 'reload'], uid=0)
Comment 3 Stefan Gohmann univentionstaff 2017-06-16 20:37:18 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 4 Philipp Hahn univentionstaff 2017-07-31 13:10:37 CEST
r81551 | Bug #32272 NFS: Remove dead assignments
r81550 | Bug #32272 NFS: Remove remaining HA support

Package: univention-nfs
Version: 9.0.0-3A~4.2.0.201707311304
Branch: ucs_4.2-0
Scope: errata4.2-1

r81561 | Bug #32272,Bug #33254,Bug #45101,Bug #25446 NFS. YAML
Comment 5 Jürn Brodersen univentionstaff 2017-07-31 17:52:16 CEST
What I tested:
mount share from master on slave -> read/write -> OK

YAML: OK

-> verified
Comment 6 Arvid Requate univentionstaff 2017-08-09 16:57:14 CEST
<http://errata.software-univention.de/ucs/4.2/130.html>